aboutsummaryrefslogtreecommitdiff
path: root/trunk/src/metapkg
diff options
context:
space:
mode:
Diffstat (limited to 'trunk/src/metapkg')
-rwxr-xr-xtrunk/src/metapkg60
1 files changed, 60 insertions, 0 deletions
diff --git a/trunk/src/metapkg b/trunk/src/metapkg
new file mode 100755
index 0000000..e83ee4d
--- /dev/null
+++ b/trunk/src/metapkg
@@ -0,0 +1,60 @@
+#!/bin/bash
+#
+# metapkg v0.1: install or remove a pkgtool metapackage
+#
+# feedback: rhatto at riseup.net | GPL
+#
+# Metapkg is free software; you can redistribute it and/or modify it under the
+# terms of the GNU General Public License as published by the Free Software
+# Foundation; either version 2 of the License, or any later version.
+#
+# Metapkg is distributed in the hope that it will be useful, but WITHOUT ANY
+# WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
+# A PARTICULAR PURPOSE. See the GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License along with
+# this program; if not, write to the Free Software Foundation, Inc., 59 Temple
+# Place - Suite 330, Boston, MA 02111-1307, USA
+#
+# A metapackage is a file containing a list of packages.
+# This script just installs all the packages in a metapackage.
+# Remeber that mkjail template == metapkg metapackage.
+#
+
+COMMON="/usr/libexec/simplepkg/common.sh"
+ROOT="/"
+
+function usage {
+ echo "usage: [ROOT=/otherroot] `basename $0` --option [metapackage]"
+ echo "options: --install, --remove"
+ exit 1
+}
+
+if [ -f "$COMMON" ]; then
+ source $COMMON
+else
+ echo "error: file $COMMON found, check your `basename $0` installation"
+ exit 1
+fi
+
+if [ -z "$2" ]; then
+ usage
+else
+ eval_config `basename $0` -u
+fi
+
+if [ ! -f "$BASE_CONF/$2.template" ]; then
+ echo error: template $2 not found
+ exit 1
+else
+ TEMPLATE="$BASE_CONF/$2.template"
+ unset server
+fi
+
+if [[ "$1" == "--install" ]]; then
+ install_packages
+elif [[ "$1" == "--remove" ]]; then
+ remove_packages
+else
+ usage
+fi